require 'nokogiri'
ActionView::Base.field_error_proc = Proc.new do |html_tag, instance|
  errors = Array(instance.error_message).join(',')

  if html_tag =~ /^<label/
    html_tag
  else
  	doc = Nokogiri::XML(html_tag)
    doc.children.each do |field|
      unless field['type'] == 'hidden'
        unless field['class'] =~ /\berror\b/
          field['class'] = "#{field['class']} error".strip
        end
      end
    end
    %(#{doc.to_html}<small class="error">&nbsp;#{errors}</small>).html_safe
  end
end